Y2RU_ConversionParams Struct Reference

Structure used to configure all parameters at once. More...

`#include <y2r.h>`

## Data Fields

Y2RU_InputFormat | input_format: 8
| Value passed to Y2RU_SetInputFormat.
Y2RU_OutputFormat | output_format: 8
| Value passed to Y2RU_SetOutputFormat.
Y2RU_Rotation | rotation: 8
| Value passed to Y2RU_SetRotation.
Y2RU_BlockAlignment | block_alignment: 8
| Value passed to Y2RU_SetBlockAlignment.
s16 | input_line_width
| Value passed to Y2RU_SetInputLineWidth.
s16 | input_lines
| Value passed to Y2RU_SetInputLines.
Y2RU_StandardCoefficient | standard_coefficient: 8
| Value passed to Y2RU_SetStandardCoefficient.
u8 | unused
| Unused.
u16 | alpha
| Value passed to Y2RU_SetAlpha.

## Detailed Description

Structure used to configure all parameters at once.

You can send a batch of configuration parameters using this structure and Y2RU_SetConversionParams.

The documentation for this struct was generated from the following file:

- include/3ds/services/y2r.h